Bug 17953 - GCC 2.96 and new glibc make compiling impossible, documentation of kgcc
GCC 2.96 and new glibc make compiling impossible, documentation of kgcc
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-09-30 09:35 EDT by hal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-03 02:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hal 2000-09-30 09:35:10 EDT
I had to uninstall RH7 in favor of RH6.2 because the new gcc and glibc
packages make it impossible to compile packages which previously had no
issues (rxvt is a good example).  I don't have a configure/make log,
because I reinstalled over it.

Renaming /usr/bin/gcc to gcc-2.96 and symlinking /usr/bin/gcc to
/usr/bin/kgcc helped some, but it still caused linker errors against the
new libc.

I guess I'm just having trouble undertanding the reasoning behind shipping
prerelease versions of these products with RH7 when perfectly good,
compatible versions are available.

Furthermore, there is no mention anywhere except the kgcc spec that kgcc
should be used to build kernels - and building from stock source (rather
than yours which has been patched to use kgcc) is an excercise in
unbelievable frustration.

As one of the first RHCEs, I was quite impressed with your products in the
past, obviously.  But I'm starting to reconsider, based on these
questionable choices.
Comment 1 Alan Cox 2000-10-01 18:24:04 EDT
The new gcc and glibc are stricter and more standards compliant. Maybe rxvt is
the problem. How
about attaching a build log

I agree btw about the lack of documentation on kgcc.
Comment 2 Jakub Jelinek 2000-10-03 02:02:12 EDT
I agree there should perhaps be a man page for kgcc, but at least
it is mentioned in the release notes that you should use kgcc to
build kernels. Use make CC='kgcc -D__KERNEL__ -I$(HPATH)' to compile
stock kernels unless you compile 2.2.18pre which already have that
logic in (for 2.4 you can build either with normal gcc, or if you
want to play safe, make CC=kgcc (note no longer -D and -I)).
As for rxvt, without a build log I cannot tell much, perhaps if you
tell me URL where you grabbed sources and which version was it, I
can reproduce it and let you know details.
Comment 3 Jakub Jelinek 2000-10-03 06:46:22 EDT
I've tried to build ftp://ftp.rxvt.org/pub/rxvt/rxvt-2.7.5.tar.gz which
seems is the latest and it compiled out of the box on a fresh RHL7, so I'm
really waiting for any details, because otherwise there is nothing I can do
about it. Please reopen the bug if you have anything I can work on.

Note You need to log in before you can comment on or make changes to this bug.